Bug 433031 - Segfault when launched
Segfault when launched
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: astromenace (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 14:15 EST by Joe Bayes
Modified: 2008-02-18 03:13 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-16 02:31:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of version from rawhide (298.54 KB, text/plain)
2008-02-15 15:46 EST, Joe Bayes
no flags Details

  None (edit)
Description Joe Bayes 2008-02-15 14:15:52 EST
Description of problem:
Astromenace segfaults upon launch. This just started happening within the last
week, and Astromenace was installed a month ago, so I'm guessing that it's a
library problem or something. But I don't know which one.

Version-Release number of selected component (if applicable):
astromenace-1.2-6.fc8.x86_64


How reproducible:
always

spoo:~$ astromenace
AstroMenace 1.2 70914

Antialiasing test START
Use '--noAA' launch option in order to avoid Antialiasing test.
Segmentation fault
spoo:~$ astromenace --noAA
AstroMenace 1.2 70914

VFS file was opened /usr/share/astromenace/gamedata.vfs
Can't find VFS file /usr/share/astromenace/gamelang.vfs
VFS file was opened /usr/share/astromenace/gamelang_en.vfs

Vendor     : OpenAL Community
Renderer   : Software
Version    : 1.1
ALut ver   : 1.1
Supported OpenAL extensions:
ALC_EXT_capture
AL_EXT_capture
AL_EXT_vorbis
AL_LOKI_quadriphonic
AL_LOKI_play_position
AL_LOKI_WAVE_format
AL_LOKI_IMA_ADPCM_format
AL_LOKI_buffer_data_callback
ALC_LOKI_audio_channel


Supported resolutions list:
1024x768 32bit 
1024x768 16bit 
960x720 32bit 
960x720 16bit 
960x600 32bit 
960x600 16bit 
960x540 32bit 
960x540 16bit 
928x696 32bit 
928x696 16bit 
896x672 32bit 
896x672 16bit 
840x525 32bit 
840x525 16bit 
832x624 32bit 
832x624 16bit 
800x600 32bit 
800x600 16bit 
800x512 32bit 
800x512 16bit 
640x512 32bit 
640x512 16bit 
640x480 32bit 
640x480 16bit 
1024x768 
960x720 
960x600 
960x540 
928x696 
896x672 
840x525 
832x624 
800x600 
800x512 
640x512 
640x480 

Segmentation fault
spoo:~$
Comment 1 Gwyn Ciesla 2008-02-15 14:29:36 EST
Could you attach an strace please?  Also, have you been able to test this on any
other arches?
Comment 2 Gwyn Ciesla 2008-02-15 15:26:57 EST
If you like, I just built the new version for rawhide, and you could download
and install it and test it out.

Koji link:
http://koji.fedoraproject.org/koji/buildinfo?buildID=36464

If it works, I'll push it to F-8.
Comment 3 Joe Bayes 2008-02-15 15:46:55 EST
Created attachment 295037 [details]
strace of version from rawhide

strace of the version from rawhide. 

I don't have access to other architectures, but I can test an i386 version on
my x86_64 machine if you think it would help.
Comment 4 Joe Bayes 2008-02-16 02:31:46 EST
Hmm. It seems to work now. I'm not really sure what I did that fixed it...
Comment 5 Gwyn Ciesla 2008-02-16 08:38:57 EST
The F-8 version or the rawhide version?
Comment 6 Joe Bayes 2008-02-18 03:13:17 EST
Both work now. The sound is perhaps a little more consistent in the rawhide version.

Note You need to log in before you can comment on or make changes to this bug.